Page Summary
-
Display & Video 360 API v1 has been sunset.
-
This API call gets a single targeting option.
-
The request uses a GET method and requires the
targetingTypeandtargetingOptionIdpath parameters. -
The request also requires the
advertiserIdquery parameter. -
A successful response will contain a
TargetingOptioninstance and requires thehttps://www.googleapis.com/auth/display-videoauthorization scope.
- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization Scopes
- Try it!
Gets a single targeting option.
HTTP request
GET https://displayvideo.googleapis.com/v1/targetingTypes/{targetingType}/targetingOptions/{targetingOptionId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
targetingType |
Required. The type of targeting option to retrieve. Accepted values are:
|
targetingOptionId |
Required. The ID of the of targeting option to retrieve. |
Query parameters
| Parameters | |
|---|---|
advertiserId |
Required. The Advertiser this request is being made in the context of. |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of TargetingOption.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.